from Thump.Proc import Processes
from Thump.FileOps import Read
from Thump.Values import Filenames, Vars

def getCurrentSong():
  if not Processes.checkPlayerForLife():
    return None

  lastline = Read.tailFile(Filenames.access_log, 1)[0]
  return lastline.split(":@@:")[-1].strip()

def getShuffleMode():
  return Read.getBoolFromOptionsFile("shuffle") \
    in [None, 1] and Vars.SHUFFLE or Vars.NO_SHUFFLE

def getLoopMode():
  return Read.getBoolFromOptionsFile("loop") \
    in [None, 1] and Vars.LOOP or Vars.NO_LOOP

def getNumSongsInPlayList():
  return len(Read.readPlayList())

