import os, sys

class Daemon:

  def __init__(self, stderr, stdout, home):
    self.stderr = stderr
    self.stdout = stdout
    self.home = home
    self.pid = os.getpid()

  def fork(self):
    os.fork() and sys.exit(0)
    self.pid = os.getpid()

  def daemon(self):

    self.fork()
    os.setsid()
    self.fork()

    os.chdir(self.home)
    os.umask(0)

    sys.stdin.close()

    sys.stdout = self.stdout
    sys.stderr = self.stderr


