import os

import SocketServer

from Thump.Values import PortNums


class Executioner:

  def execute(self, cmd):
    print cmd


class CmdQueue(list):

  executioner = Executioner()

  def executeAll(self):
    for i in range(0, self.__len__()):
      self.execute(i)
      self.__delitem__(i)

  def executeLast(self):
    self.execute(-1)
    self.pop()

  def execute(self, index):
    self.executioner.execute(self.index(index))


class Assembler:

  buf = str()
  cmdQueue = CmdQueue()

  cmdSeperator = "\r\n"

  def collect(self, text):
    self.buf = self.buf + text
    self.assemble()
    if len(self.cmdQueue):
      self.cmdQueue.executeAll()

  def assemble(self):
    cmdend = self.buf.find(self.cmdSeperator)

    if cmdend != -1:
      self.cmdQueue.append( [ line.strip() for line in self.buf[:cmdend].split(cmdSeperator) ] )
      self.buf = self.buf[cmdend+len(self.cmdSeperator):]


class RequestHandler(SocketServer.StreamRequestHandler):

  assembler = Assembler()

  def handle(self):
    self.assembler.collect(self.rfile.readline(8192))


class Server:
  
  def __init__(self, host, port):
    self.server = SocketServer.TCPServer((host, port), RequestHandler)

  def serve(self):
    self.server.serve_forever()

