#!/usr/bin/env python

from Thump.Ctl import Info, Actions

action_names = [ "next", "stop", "pause", "resume", "current", "start", "quit" ]

def solveAmbiguity(action):
  global action_names

  copy = action_names[:]

  for action_name in action_names:
    if not action_name.startswith(action):
      del copy[copy.index(action_name)]

  return len(copy) == 1 and copy[0] or None

def doAction(action):
  if action == "next":     Actions.next()

  elif action == "start":  Actions.start()
  elif action == "stop":   Actions.stop()

  elif action == "pause":  Actions.pause()
  elif action == "resume": Actions.resume()

  elif action == "current":   return ["current", Info.getCurrentSong()]

  elif action == "quit":   raise "quit"
  else: return 0

  return 1

